OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000940OMNeT++IDE / otherpublic2015-10-28 10:032017-03-02 15:33
Reporterwoife 
Assigned Torhornig 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSGNU/LinuxOS Version?
Product Version5.0b1 
Target VersionFixed in Version5.1 
Summary0000940: Message compiler adds lots of Exceptions in OMNeT's log file
Description
The website at [1] mentions that there is a log file for the OMNeT IDE in the directory '<workspace>/.medata' with the name '.log'.
I had a look at the file on my system, and saw that it is not usable, as there is a pretty large exception block for every message definition in my workspace.
As my workspace contains the INET project, there are many message files, and thus many exceptions.

Remark: I do not observe any malfunction that would be related to these exceptions in the simulations, everything works as expected. It is just that the log file is flooded with exceptions.

[1] https://omnetpp.org/get-involved/bugtracker [^]
Steps To ReproduceBuild a project that contains a message definition.

To get a simple log file that contains the exceptions I did the following steps:

*) Closed all projects in my workspace
*) Deleted the existing .log file
*) Created a new project (called 'Playground')
*) Created a new message definition (default name: 'untitled.msg')
*) Right click -> Build project
Additional InformationBeginning of the logfile:

!ENTRY org.eclipse.cdt.core 2 0 2015-10-27 23:35:05.920
!MESSAGE Error getting ScannerInfo: Unable to determine language for resource L/Playground/untitled.msg
!STACK 0
java.lang.Exception at org.eclipse.cdt.internal.core.language.settings.providers.
LanguageSettingsScannerInfoProvider.getScannerInformation(LanguageSettingsScannerInfoProvider.java:86)

The complete log file is attached to the bug report.

I can reproduce this behaviour in OMNeT 4.6 and 5.0tp.
I have selected 5.0b1 as the bug tracker entry as there is no 5.0tp option in the bug tracker.
       
TagsNo tags attached.
Attached Files? file icon log [^] (3,536 bytes) 2015-10-28 10:03 [Show Content]

- Relationships

-  Notes
(0001159)
till (reporter)
2016-01-13 12:37

I can confirm that
(0001160)
andras (administrator)
2016-01-14 09:19

Thanks for reporting. As this issue is non-critical, we don't want it to hold up the 5.0 release. We'll look into it after 5.0.
(0001337)
rhornig (administrator)
2017-03-02 15:33

This is no longer happening with CDT 9.2 that is bundled with OMNET 5.1

- Issue History
Date Modified Username Field Change
2015-10-28 10:03 woife New Issue
2015-10-28 10:03 woife File Added: log
2016-01-13 12:37 till Note Added: 0001159
2016-01-14 09:19 andras Note Added: 0001160
2017-03-02 15:33 rhornig Note Added: 0001337
2017-03-02 15:33 rhornig Status new => resolved
2017-03-02 15:33 rhornig Fixed in Version => 5.1
2017-03-02 15:33 rhornig Resolution open => fixed
2017-03-02 15:33 rhornig Assigned To => rhornig


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker